Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.messages
Class LocatedMessage

    java.lang.Object
      org.codehaus.groovy.control.messages.Message
          org.codehaus.groovy.control.messages.SimpleMessage
              org.codehaus.groovy.control.messages.LocatedMessage

Direct Known Subclasses:
  WarningMessage

    public class LocatedMessage
    extends SimpleMessage

A base class for compilation messages.

Version:
  $Id: LocatedMessage.java 12294 2008-05-05 04:00:19Z shemnon $
Author:
  Chris Poirier

Field Summary
Modifier and Type | Field and Description
--- | ---
`protected CSTNode` | `context`

Fields inherited from class org.codehaus.groovy.control.messages.SimpleMessage
`data, message, owner`

Constructor Summary
Constructor and Description
`LocatedMessage(String message, CSTNode context, SourceUnit source)`
`LocatedMessage(String message, Object data, CSTNode context, SourceUnit source)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `write(PrintWriter writer, Janitor janitor)` Writes the message to the specified PrintWriter.

Methods inherited from class org.codehaus.groovy.control.messages.SimpleMessage
`getMessage`

Methods inherited from class org.codehaus.groovy.control.messages.Message
`create, create, create, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected CSTNode context

Constructor Detail

### LocatedMessage

    public LocatedMessage(String message,
                          CSTNode context,
                          SourceUnit source)

### LocatedMessage

    public LocatedMessage(String message,
                          Object data,
                          CSTNode context,
                          SourceUnit source)

Method Detail

### write

    public void write(PrintWriter writer,
                      Janitor janitor)

  Description copied from class: `Message`
  Writes the message to the specified PrintWriter. The supplied ProcessingUnit is the unit that holds this Message.

  Overrides:
    `write` in class `SimpleMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD